<template>
  <MainCell title="快速缴费">
    <div class="recharge-list-wrapper">
      <div class="recharge-list-item" @click="emit('phoneBillRecharge')">
        <img :src="OssAssets.home.FreePhone" class="recharge-list-item-icon" />
        <div class="recharge-list-item-text">话费</div>
        <NutButton type="primary" class="recharge-list-item-button">立即缴费</NutButton>
        <div class="discountTag" v-if="lifePayPhoneRate > 0">{{ lifePayPhoneRate }}折</div>
      </div>
      <div class="recharge-list-item" @click="emit('electricityBillRecharge')">
        <img :src="OssAssets.home.FreeDian" class="recharge-list-item-icon" />
        <div class="recharge-list-item-text">电费</div>
        <NutButton type="primary" class="recharge-list-item-button">立即缴费</NutButton>
        <div class="discountTag" v-if="lifePayElectricRate > 0">{{ lifePayElectricRate }}折</div>
      </div>
      <!-- <div class="recharge-list-item" @click="emit('gasBillRecharge')">
        <img :src="OssAssets.home.FreeGas" class="recharge-list-item-icon" />
        <div class="recharge-list-item-text">燃气费</div>
        <NutButton type="primary" class="recharge-list-item-button">立即缴费</NutButton>
        <div class="discountTag" v-if="lifePayGasRate > 0">{{ lifePayGasRate }}折</div>
      </div> -->
    </div>
  </MainCell>
</template>

<script setup lang="ts">
import MainCell from '../../components/Layout/MainCell.vue';
import { Button as NutButton } from '@nutui/nutui-taro';
import { OssAssets } from '../../constants';
import { useGetRate } from '../../hooks';
import IconPhone from '../../assets/icon-free-phone.png';

defineOptions({
  name: 'RechargeGrid',
});

// type Props = {};

// const props = withDefaults(defineProps<Props>(), {});

const emit = defineEmits<{
  (e: 'phoneBillRecharge'): void;
  (e: 'electricityBillRecharge'): void;
  (e: 'gasBillRecharge'): void;
}>();

const { lifePayPhoneRate, lifePayElectricRate, lifePayGasRate } = useGetRate();
</script>
